## magic-wormhole 0.11.2

=== docs/state-machines/Makefile ===

default: images

images: allocator.png boss.png code.png input.png key.png lister.png machines.png mailbox.png nameplate.png order.png receive.png send.png terminator.png

.PHONY: default images

%.png: %.dot
	dot -T png $< >$@

## magic-wormhole 0.8.1

=== debian/changelog ===
magic-wormhole (0.8.1-2) unstable; urgency=medium

  * Add myself as a maintainer, after discussion with jrollins on IRC
  * Add missing dependencies in control (see #833769)
  * git-buildpackage configuration
  * install NEWS.md as an upstream changelog
  * ship two more upstream docs
  * add internal documentation and README.Debian
  * upload to unstable

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 10 Nov 2016 16:22:38 -0500

magic-wormhole (0.8.1-1) experimental; urgency=low

  * Initial packaging, closes ITP bug with wnpp (Closes: #833090)

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Wed, 27 Jul 2016 07:41:35 -0700

=== debian/control ===
Source: magic-wormhole
Maintainer: Antoine Beaupré <anarcat@debian.org>
Uploaders: Jameson Graef Rollins <jrollins@finestructure.net>
Section: utils
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3,
 python3-autobahn (>= 0.14.1),
 python3-cffi,
 python3-click,
 python3-hkdf,
 python3-nacl,
 python3-setuptools,
 python3-six,
 python3-spake2,
 python3-tqdm,
 python3-twisted,
Standards-Version: 3.9.8
Homepage: https://github.com/warner/magic-wormhole
Vcs-Git: https://anonscm.debian.org/git/collab-maint/magic-wormhole.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/magic-wormhole.git

Package: magic-wormhole
Provides:
 python3-magic-wormhole,
 python3-wormhole,
 wormhole,
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Securely and simply transfer data between computers
 Magic Wormhole provides a command-line tool and Python library named
 "wormhole" which makes it possible to very easily transfer short
 pieces of text or arbitrary-sized files or directories from one
 computer to another.
 .
 The two endpoints are identified by using identical "wormhole codes":
 in general, the sending machine generates and displays the code,
 which must then be typed into the receiving machine.  The codes are
 short and human-pronounceable, using a phonetically-distinct
 wordlist.  The receiving side offers tab-completion on the codewords,
 so usually only a few characters must be typed.  Wormhole codes are
 single-use and do not need to be memorized.

=== debian/watch ===
version=4
https://pypi.python.org/packages/source/m/magic-wormhole/magic-wormhole-(.+)\.tar\.gz debian uupdate

## magic-wormhole 0.8.2

=== debian/changelog ===
magic-wormhole (0.8.2-1) unstable; urgency=medium

  * new upstream release
  * bump debhelper dependency to 10 since we clean directories with
    dh_clean
  * check upstream OpenPGP signatures in watch file
  * go back to using git-import-orig and an upstream branch because
    upstream settled on using the PyPI tarball instead of git
  * explain how to build the package in README.source

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 15 Dec 2016 10:06:03 -0500

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: utils
 Priority: optional
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10~),
  dh-python,
  python3,
  python3-autobahn (>= 0.14.1),
  python3-cffi,
  python3-click,
  python3-hkdf,
+ python3-humanize,
  python3-nacl,
  python3-setuptools,
  python3-six,

## magic-wormhole 0.9.1

=== debian/changelog ===
magic-wormhole (0.9.1-1) unstable; urgency=medium

  * new upstream release
  * import patch from upstream to change default relay servers to project defaults
  * add patch to use magic-wormhole-transit.debian.net as default transit
    server (Closes: #850015)
  * remove unnecessary dependency on python3-cffi (Closes: #849643)

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Tue, 03 Jan 2017 10:39:57 -0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  dh-python,
  python3,
  python3-autobahn (>= 0.14.1),
- python3-cffi,
  python3-click,
  python3-hkdf,
  python3-humanize,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=magic-wormhole
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

## magic-wormhole 0.10.3

=== debian/changelog ===
magic-wormhole (0.10.3-1) unstable; urgency=medium

  [ Harlan Lieberman-Berg ]
  * New upstream release. (Closes: #880246)
  * Drop unnecessary dependency on ipaddress.
  * Remove patch applied upstream.

  [ Antoine Beaupré ]
  * include additional .md docs

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 17 Jan 2018 12:06:13 -0500

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,23 @@
  debhelper (>= 10~),
  dh-python,
  python3,
+ python3-attr (>= 16.3.0~),
  python3-autobahn (>= 0.14.1),
+ python3-automat,
  python3-click,
  python3-hkdf,
  python3-humanize,
+ python3-mock,
  python3-nacl,
+ python3-openssl (>= 16.0.0~),
+ python3-pyflakes,
  python3-setuptools,
  python3-six,
- python3-spake2,
- python3-tqdm,
- python3-twisted,
+ python3-spake2 (>= 0.7),
+ python3-spake2 (<< 0.8),
+ python3-tqdm (>= 4.13.0~),
+ python3-twisted (>= 17.5.0~),
+ python3-txtorcon (>= 0.19.3)
 Standards-Version: 3.9.8
 Homepage: https://github.com/warner/magic-wormhole
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/magic-wormhole.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=magic-wormhole
+
+# Work around test failures due to ASCII python3 restrictions
+export LC_ALL=C.UTF-8
+export LANG=C.UTF-8
+
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## magic-wormhole 0.10.5

=== debian/changelog ===
magic-wormhole (0.10.5-1) unstable; urgency=medium

  * New upstream release.

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 06 Mar 2018 13:03:36 -0500

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends:
  debhelper (>= 10~),
  dh-python,
+ magic-wormhole-transit-relay,
  python3,
  python3-attr (>= 16.3.0~),
  python3-autobahn (>= 0.14.1),
@@ -19,12 +20,11 @@
  python3-pyflakes,
  python3-setuptools,
  python3-six,
- python3-spake2 (>= 0.7),
- python3-spake2 (<< 0.8),
+ python3-spake2 (>= 0.8),
  python3-tqdm (>= 4.13.0~),
  python3-twisted (>= 17.5.0~),
  python3-txtorcon (>= 0.19.3)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/warner/magic-wormhole
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/magic-wormhole.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/magic-wormhole.git

## magic-wormhole 0.11.2

=== debian/changelog ===
magic-wormhole (0.11.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Antoine Beaupré ]
  * new upstream release
  * disabled tests because they depend on the relay server, which is
    waiting in NEW (#915358)

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 02 Dec 2018 15:11:54 -0500

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,8 @@
  python3-txtorcon (>= 0.19.3)
 Standards-Version: 4.1.3
 Homepage: https://github.com/warner/magic-wormhole
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/magic-wormhole.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/magic-wormhole.git
+Vcs-Git: https://salsa.debian.org/debian/magic-wormhole.git
+Vcs-Browser: https://salsa.debian.org/debian/magic-wormhole
 
 Package: magic-wormhole
 Provides:

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,7 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.md
+
+# tests disabled while relay-server passes NEW
+override_dh_auto_test:
+	true

## magic-wormhole 0.12.0

=== docs/state-machines/Makefile ===

default: images

images: allocator.png boss.png code.png input.png key.png lister.png machines.png mailbox.png nameplate.png order.png receive.png send.png terminator.png  dilation.png

.PHONY: default images

%.png: %.dot
	dot -T png $< >$@

=== debian/changelog ===
magic-wormhole (0.12.0-1) unstable; urgency=medium

  * new upstream release
  * re-enable tests now that dep passed NEW

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 04 Feb 2021 21:17:34 -0500

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  python3-click,
  python3-hkdf,
  python3-humanize,
+ python3-magic-wormhole-mailbox-server,
  python3-mock,
  python3-nacl,
  python3-openssl (>= 16.0.0~),

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://pypi.python.org/packages/source/m/magic-wormhole/magic-wormhole-(.+)\.tar\.gz debian uupdate

## magic-wormhole 0.13.0

=== debian/changelog ===
magic-wormhole (0.13.0-1ubuntu1) oracular; urgency=medium

  * Use ConfigParser to fix FTBFS with Python-3.12. (LP: #2068774)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 18 Jun 2024 11:47:57 +0100

magic-wormhole (0.13.0-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * New upstream version 0.13.0
  * remove old dependency on python3-mock
  * uscan redirector propose no GPG signature

  [ Antoine Beaupré ]
  * Ack NMU, upload to unstable (Closes: #1065753).
  * Fix test suite that had bitrotten (Closes: #1066746).

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 05 Apr 2024 22:43:28 -0400

magic-wormhole (0.12.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Introduce delay in tests to address timing issue. Thanks to Martin
    Hostettler for the patch. (Closes: #1032553)
  * Various housekeeping things as proposed by Debian Janitor.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 08 Apr 2023 21:10:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,30 @@
 Source: magic-wormhole
-Maintainer: Antoine Beaupré <anarcat@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
 Uploaders: Jameson Graef Rollins <jrollins@finestructure.net>
 Section: utils
 Priority: optional
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-python,
  magic-wormhole-transit-relay,
  python3,
- python3-attr (>= 16.3.0~),
- python3-autobahn (>= 0.14.1),
+ python3-attr,
+ python3-autobahn,
  python3-automat,
  python3-click,
  python3-hkdf,
  python3-humanize,
  python3-magic-wormhole-mailbox-server,
- python3-mock,
  python3-nacl,
- python3-openssl (>= 16.0.0~),
+ python3-openssl,
  python3-pyflakes,
  python3-setuptools,
  python3-six,
- python3-spake2 (>= 0.8),
- python3-tqdm (>= 4.13.0~),
- python3-twisted (>= 17.5.0~),
- python3-txtorcon (>= 0.19.3)
+ python3-spake2,
+ python3-tqdm,
+ python3-twisted,
+ python3-txtorcon
 Standards-Version: 4.1.3
 Homepage: https://github.com/warner/magic-wormhole
 Vcs-Git: https://salsa.debian.org/debian/magic-wormhole.git

## magic-wormhole 0.14.0

=== debian/changelog ===
magic-wormhole (0.14.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
    Closes: #1073069
    Closes: #1073799
  * Add new Build-Deps on python3-zipstream-ng and python3-iterable-io.
  * Install correct (*.rst) docs.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 03 Aug 2024 22:59:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: magic-wormhole
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
+Maintainer: Antoine Beaupré <anarcat@debian.org>
 Uploaders: Jameson Graef Rollins <jrollins@finestructure.net>
 Section: utils
 Priority: optional
@@ -15,6 +14,7 @@
  python3-click,
  python3-hkdf,
  python3-humanize,
+ python3-iterable-io,
  python3-magic-wormhole-mailbox-server,
  python3-nacl,
  python3-openssl,
@@ -24,7 +24,8 @@
  python3-spake2,
  python3-tqdm,
  python3-twisted,
- python3-txtorcon
+ python3-txtorcon,
+ python3-zipstream-ng
 Standards-Version: 4.1.3
 Homepage: https://github.com/warner/magic-wormhole
 Vcs-Git: https://salsa.debian.org/debian/magic-wormhole.git

## magic-wormhole 0.17.0

=== debian/changelog ===
magic-wormhole (0.17.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
    (Apologies for not properly setting the NMU revision before)
  * Include upstream patch fixing tests for Twisted 24.10.0.
    Closes: #1086363

 -- Sascha Steinbiss <satta@debian.org>  Fri, 08 Nov 2024 11:46:39 +0100

magic-wormhole (0.17.0-1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
    Closes: #1080115
    Closes: #1079401
    Closes: #1081340

 -- Sascha Steinbiss <satta@debian.org>  Sun, 27 Oct 2024 23:53:13 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
  python3-autobahn,
  python3-automat,
  python3-click,
- python3-hkdf,
  python3-humanize,
  python3-iterable-io,
  python3-magic-wormhole-mailbox-server,
@@ -20,7 +19,6 @@
  python3-openssl,
  python3-pyflakes,
  python3-setuptools,
- python3-six,
  python3-spake2,
  python3-tqdm,
  python3-twisted,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=magic-wormhole
export PYBUILD_TEST_CUSTOM=1
# copied from tox.ini
export PYBUILD_TEST_ARGS=python3 -m wormhole.test.run_trial wormhole
# this leaves test files lying around, clean them up
export PYBUILD_AFTER_TEST=rm -r {build_dir}/_trial_temp/
# Work around test failures due to ASCII python3 restrictions
export LC_ALL=C.UTF-8
export LANG=C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

=== debian/watch ===
version=4
#opts=pgpsigurlmangle=s/$/.asc/ \
https://pypi.python.org/packages/source/m/magic-wormhole/magic-wormhole-(.+)\.tar\.gz debian uupdate

## magic-wormhole 0.18.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Magic-Wormhole
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
magic-wormhole (0.18.0-1) unstable; urgency=medium

  * new upstream release
  * acknowledge NMU
  * deploy completion files in the right locations (Closes: #1090822)

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 28 Mar 2025 11:33:25 -0400

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  python3-nacl,
  python3-openssl,
  python3-pyflakes,
+ python3-qrcode,
  python3-setuptools,
  python3-spake2,
  python3-tqdm,

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,10 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.md
+
+execute_after_dh_install:
+        # this should be fixed upstream, but we want to fix a RC bug
+	mkdir -p $(CURDIR)/debian/magic-wormhole/usr/share/bash-completion/completions $(CURDIR)/debian/magic-wormhole/usr/share/fish/vendor_completions.d $(CURDIR)/debian/magic-wormhole/usr/share/zsh/vendor-completions
+	mv $(CURDIR)/debian/magic-wormhole/usr/wormhole_complete.bash $(CURDIR)/debian/magic-wormhole/usr/share/bash-completion/completions/wormhole
+	mv $(CURDIR)/debian/magic-wormhole/usr/wormhole_complete.fish $(CURDIR)/debian/magic-wormhole/usr/share/fish/vendor_completions.d/wormwhole.fish
+	mv $(CURDIR)/debian/magic-wormhole/usr/wormhole_complete.zsh $(CURDIR)/debian/magic-wormhole/usr/share/zsh/vendor-completions/_wormhole
